extends Area2D

@export var speed : int
var links = true

func _ready() -> void:
	if links == false:
		$Pfeil.flip_h  = true

func _physics_process(delta: float) -> void:
	if links:
		position.x += speed * delta
	else:
		position.x -= speed * delta


func _on_die_timer_timeout() -> void:
	queue_free()
